UPTERM(1)

NAME
upterm - Instant Terminal Sharing

SYNOPSIS
upterm [flags]

DESCRIPTION
Upterm is an open-source solution for sharing terminal sessions instantly over secure SSH tunnels to the public internet.

Configuration Priority (highest to lowest):
  1. Command-line flags
  2. Environment variables (UPTERM_ prefix)
  3. Config file (see below)
  4. Default values

Config File:
  ~/.config/upterm/config.yaml (Linux)
  ~/Library/Application Support/upterm/config.yaml (macOS)
  %LOCALAPPDATA%\upterm\config.yaml (Windows)

Run 'upterm config path' to see your config file location.
  Run 'upterm config edit' to create and edit the config file.

Environment Variables:
  All flags can be set via environment variables with the UPTERM_ prefix.
  Flag names are converted by replacing hyphens (-) with underscores (_).

Examples:
    --hide-client-ip → UPTERM_HIDE_CLIENT_IP=true
    --read-only → UPTERM_READ_ONLY=true
    --accept → UPTERM_ACCEPT=true

OPTIONS
--debug[=false]
    enable debug level logging (log file: /build/.local/state/upterm/upterm.log).

-h, --help[=false]
    help for upterm

EXAMPLE
      # Host a terminal session running $SHELL, attaching client's IO to the host's:
      $ upterm host
      # Display the SSH connection string for sharing with client(s):
      $ upterm session current
      === SESSION_ID
      Command:                /bin/bash
      Force Command:          n/a
      Host:                   ssh://uptermd.upterm.dev:22
      SSH Session:            ssh TOKEN@uptermd.upterm.dev
      # A client connects to the host session via SSH:
      $ ssh TOKEN@uptermd.upterm.dev
      # Set flags via environment variables:
      $ UPTERM_HIDE_CLIENT_IP=true upterm host

SEE ALSO
upterm-config(1), upterm-host(1), upterm-proxy(1), upterm-session(1), upterm-upgrade(1), upterm-version(1)

HISTORY
18-Nov-2025 Auto generated by spf13/cobra